Subject: Re: Licensing and the library version of git

From: Shawn Pearce <[email-masked]>
Date: Fri, 28 Jul 2006 23:56:32 -0400

Johannes Schindelin <[email-masked]> wrote:
> Hi,
> 
> On Fri, 28 Jul 2006, Shawn Pearce wrote:
> 
> > [...] as the GPL is incompatible with the Sun JRE runtime lirbary.
> 
> This is not true. You can legally write and run GPLed software on the JRE 
> runtime library.
> 
> BTW I found an Eclipse plugin which is GPLed:
> 
> http://www.eclipseplugincentral.com/Web_Links-index-req-viewlink-cid-651.html

Thanks.  I did a little research on it myself after reading your
email. I turned up the following two pages from the FSF:

  http://www.gnu.org/licenses/gpl-faq.html#InterpreterIncompat
  http://www.gnu.org/licenses/lgpl-java.html

Both suggest that I can license everything under the GPL but provide
exclusions to allow users to run the code against its dependencies
which aren't GPL'd:

  - the end-user may 'link' the code against any Java runtime library
    of their choice;

  - the end-user may 'link' the code against any Eclipse platform
    or derivative of their choice;

So given that I'm seriously considering changing the license to
GPLv2 for the next version.

-- 
Shawn.